JUCE: ScopedValueSetter< ValueType > Class Template Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ScopedValueSetter< ValueType > Class Template Reference
juce_core » containers

Helper class providing an RAII-based mechanism for temporarily setting and then re-setting a value. More...

`#include <juce_ScopedValueSetter.h>`

## Public Member Functions
| ScopedValueSetter (ValueType &valueToSet, ValueType newValue)
| Creates a ScopedValueSetter that will immediately change the specified value to the given new value, and will then reset it to its original value when this object is deleted.
| ScopedValueSetter (ValueType &valueToSet, ValueType newValue, ValueType valueWhenDeleted)
| Creates a ScopedValueSetter that will immediately change the specified value to the given new value, and will then reset it to be valueWhenDeleted when this object is deleted.
| ~ScopedValueSetter ()

## Detailed Description

template<typename ValueType>
class ScopedValueSetter< ValueType >

Helper class providing an RAII-based mechanism for temporarily setting and then re-setting a value.

E.g.

int x = 1;
{
ScopedValueSetter setter (x, 2);
// x is now 2
}
// x is now 1 again
{
ScopedValueSetter setter (x, 3, 4);
// x is now 3
}
// x is now 4
ScopedValueSetter
Helper class providing an RAII-based mechanism for temporarily setting and then re-setting a value.
Definition juce_ScopedValueSetter.h:56
x
float x
Definition juce_UnityPluginInterface.h:192

## Constructor & Destructor Documentation

## ◆ ScopedValueSetter() [1/2]

template<typename ValueType >

ScopedValueSetter< ValueType >::ScopedValueSetter | ( | ValueType & | valueToSet,
|  | ValueType | newValue
| ) |  |

Creates a ScopedValueSetter that will immediately change the specified value to the given new value, and will then reset it to its original value when this object is deleted.

## ◆ ScopedValueSetter() [2/2]

template<typename ValueType >

ScopedValueSetter< ValueType >::ScopedValueSetter | ( | ValueType & | valueToSet,
|  | ValueType | newValue,
|  | ValueType | valueWhenDeleted
| ) |  |

Creates a ScopedValueSetter that will immediately change the specified value to the given new value, and will then reset it to be valueWhenDeleted when this object is deleted.

## ◆ ~ScopedValueSetter()

template<typename ValueType >

ScopedValueSetter< ValueType >::~ScopedValueSetter | ( |  | ) |

The documentation for this class was generated from the following file:

- juce_ScopedValueSetter.h